TechDraw Winkelbemaßung mittels 3 Scheitelpunkten

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw Dimension Angle3Pt and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎hrvatski • ‎italiano • ‎русский

TechDraw Dimension Angle3Pt.svg Winkelbemaßung m. drei Eckpunkten

Menüeintrag
TechDraw → Winkelbemaßung m. drei Eckpunkten
Arbeitsbereich
TechDraw
Standardtastenkürzel
None
In der Version eingeführt
0.18
Siehe auch


Beschreibung

Das Werkzeug »Winkelbemaßung mittels 3 Eckpunkte« fügt einer Ansicht eine Winkelbemaßung hinzu. Der Winkel kann durch Auswahl von drei Eckpunkten (Knoten) in einer Ansicht festgelegt werden. Beachten Sie, dass der zweite der drei Eckpunkte der Scheitelpunkt des Winkels ist.. Der Winkel ist zunächst der projizierte Winkel (d. h. wie in der Zeichnung gezeigt), kann aber mit Hilfe des TechDraw Dimension Link.svg Bemaßungen verlinken-Werkzeugs in den tatsächlichen 3D-Winkel geändert werden.

TechDraw Dimension Angle3Pt example.png

Beim Messen des Winkels zwischen zwei Geraden durch drei Punkte der sollte der zweite Punkt der Schnittpunkt (apex) der Geraden sein

.

Anwendung

  1. Wählen Sie die Punkte oder die Kante, die Sie für Ihre Messung benötigen.
  2. Auf die Schaltfläche TechDraw Dimension Angle3Pt.png Dimension Angle3Pt klicken.
  3. Die Bemaßung wird in die Ansicht eingefügt. Sie kann anschließend an die gewünschte Position gezogen werden.

Einschränkungen

Bemaßungsobjekte sind anfällig für Probleme mit "topological naming". Weitere Informationen gibt es unter dem Werkzeug Längenbemaßung.

Eigenschaften

Diese Funktion hat die gleichen Eigenschaften wie das Werkzeug TechDraw Horizontale Längenbemassung. Weitere Angaben stehen auf der genannten Seite des Werkzeugs.

Programmierung

Siehe auch: TechDraw API und FreeCAD Scripting Basics.

Das Werkzeug »Winkelbemaßung m. drei Punkten« kann sowohl in Makros als auch aus der Python-Konsole heraus mittels folgender Funktion angesprochen werden:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle3Pt"
dim1.References2D=[(view1, 'Vertex1',(view1, 'Vertex4'),(view1, 'Vertex2'))]
rc = page.addView(dim1)